Невозможно установить psycopg в Windows 7 с помощью Python 3.4.3 и PostgreSQL 9.4.4

Я устанавливаю psycopg на Windows 7 (64 бит) с Python 3.4.3 и PostgreSQL 9.4.4, используя файл колес (с http://www.lfd.uci.edu/~gohlke/pythonlibs/#psycopg ) и команда:

pip install psycopg2-2.6.1-cp34-none-win_amd64.whl 

Я получаю сообщение об ошибке:

 psycopg2-2.6.1-cp34-none-win_amd64.whl is not a supported wheel on this platform. 

Обновление: я попытался использовать команду easy_install:

 easy_install psycopg2-2.6.1.win-amd64-py3.4-pg9.4.4-release.exe Searching for psycopg2-2.6.1.win-amd64-py3.4-pg9.4.4-release.exe Reading https://pypi.python.org/simple/psycopg2-2.6.1.win-amd64-py3.4-pg9.4.4-re lease.exe/ Couldn't find index page for 'psycopg2-2.6.1.win-amd64-py3.4-pg9.4.4-release.exe ' (maybe misspelled?) Scanning index of all packages (this may take a while) Reading https://pypi.python.org/simple/ No local packages or download links found for psycopg2-2.6.1.win-amd64-py3.4-pg9 .4.4-release.exe error: Could not find suitable distribution for Requirement.parse('psycopg2-2.6. 1.win-amd64-py3.4-pg9.4.4-release.exe') 

2 Solutions collect form web for “Невозможно установить psycopg в Windows 7 с помощью Python 3.4.3 и PostgreSQL 9.4.4”

Вам необходимо установить psycopg2‑2.6.1‑cp34‑none‑win32.whl . Ваша Windows может быть 64-битной, но ваша установка Python по-прежнему 32-разрядная. Пакеты, которые вы устанавливаете, должны соответствовать вашей установке Python, а не вашей установке Windows.

Это обычная проблема, так как http://python.org перенаправляет вас на 32-разрядную версию Python по умолчанию, даже при просмотре в Windows 64-bit и даже с 64-битной Chrome.

Попробуй это:

 C:\>python -m easy_install --upgrade setuptools C:\>cd path\to\folder\psycopg D:\path\>python -m pip install psycopg2-2.6.1-cp34-none-win_amd64.whl 
Python - лучший язык программирования в мире.